// Copyright (c) Project Jupyter Contributors
// Distributed under the terms of the Modified BSD License.
import { IJupyterWidgetRegistry } from '@jupyter-widgets/base';
import * as widgetExports from './widget';
import enableMidi from './enableMIDI';
import { MODULE_NAME, MODULE_VERSION } from './version';
const EXTENSION_ID = '@jupyter-widgets/midicontrols:plugin';
/**
 * The example plugin.
 */
const examplePlugin = {
    id: EXTENSION_ID,
    requires: [IJupyterWidgetRegistry],
    activate: activateWidgetExtension,
    autoStart: true
};
export default examplePlugin;
/**
 * Activate the widget extension.
 */
async function activateWidgetExtension(app, registry) {
    registry.registerWidget({
        name: MODULE_NAME,
        version: MODULE_VERSION,
        exports: widgetExports,
    });
    await enableMidi();
}
