import { DOMWidgetModel, DOMWidgetView, ISerializers } from '@jupyter-widgets/base';
export declare class ButtonModel extends DOMWidgetModel {
    defaults(): any;
    initialize(attributes: any, options: any): void;
    destroy(options: any): void;
    private _button;
}
export declare class RotaryModel extends DOMWidgetModel {
    defaults(): any;
    initialize(attributes: any, options: any): void;
    destroy(options: any): void;
    private _rotary;
}
export declare class FaderModel extends DOMWidgetModel {
    defaults(): any;
    initialize(attributes: any, options: any): void;
    destroy(options: any): void;
    private _fader;
}
export declare class XTouchMiniModel extends DOMWidgetModel {
    defaults(): any;
    static serializers: ISerializers;
    initialize(attributes: any, options: any): void;
    setup(): Promise<import("@jupyter-widgets/base").Dict<ButtonModel[]>>;
    _createButtons(): Promise<ButtonModel>[];
    _createSideButtons(): Promise<ButtonModel>[];
    _createRotaryButtons(): Promise<ButtonModel>[];
    _createRotaryEncoders(): Promise<ButtonModel>[];
    _createFaders(): Promise<ButtonModel>[];
    /**
     * Creates a button widget.
     */
    _createButtonModel(state: any): Promise<ButtonModel>;
    /**
     * Creates a rotary encoder widget.
     */
    _createRotaryModel(state: any): Promise<ButtonModel>;
    /**
     * Creates a fader widget.
     */
    _createFaderModel(state: any): Promise<ButtonModel>;
}
export declare class ValueView extends DOMWidgetView {
    render(): void;
    value_changed(): void;
}
